import { FC } from 'react';
import { DateChangeHandler } from '../../index';
export declare type ClockSelection = 'hours' | 'minutes';
export declare type ClockPrecision = 1 | 10 | 15 | 20 | 30 | 60;
export interface ClockProps {
    locale: Locale;
    date?: Date | null;
    selection?: ClockSelection;
    precision?: ClockPrecision;
    vibrate?: boolean;
    className?: string;
    onChange?: DateChangeHandler;
    onSelectionChange?: (selection: ClockSelection) => void;
    onSelectionEnd?: () => void;
}
declare const Clock: FC<ClockProps>;
export default Clock;
