import { FC, ReactNode } from 'react';
import { CalendarModifiers, CalendarModifiersClassNames, CalendarType, DatePickerInputProps, NullableDateChangeHandler } from '../../index';
export interface DatePickerChildrenProps {
    inputProps: DatePickerInputProps;
    openDatePicker: () => void;
}
export declare type DatePickerChildren = (props: DatePickerChildrenProps) => ReactNode;
export interface DatePickerProps {
    locale: Locale;
    type?: CalendarType;
    date?: Date | null;
    format?: string;
    minDate?: Date;
    maxDate?: Date;
    placeholder?: string;
    className?: string;
    modifiers?: CalendarModifiers;
    modifiersClassNames?: CalendarModifiersClassNames;
    portalContainer?: Element;
    readonlyOnTouch?: boolean;
    autoOpen?: boolean;
    onChange?: NullableDateChangeHandler;
    children: DatePickerChildren;
}
declare const DatePicker: FC<DatePickerProps>;
export default DatePicker;
