import { FC, ReactNode } from 'react';
import { CalendarModifiers, CalendarModifiersClassNames, ClockPrecision, DatePickerInputProps, NullableDateChangeHandler } from '../../index';
export interface DateTimePickerChildrenProps {
    dateInputProps: DatePickerInputProps;
    timeInputProps: DatePickerInputProps;
    openDatePicker: () => void;
    openTimePicker: () => void;
}
export declare type DateTimePickerChildren = (props: DateTimePickerChildrenProps) => ReactNode;
export interface DateTimePickerProps {
    locale: Locale;
    date?: Date | null;
    dateFormat?: string;
    timeFormat?: string;
    minDate?: Date;
    maxDate?: Date;
    datePlaceholder?: string;
    timePlaceholder?: string;
    timePrecision?: ClockPrecision;
    vibrate?: boolean;
    className?: string;
    modifiers?: CalendarModifiers;
    modifiersClassNames?: CalendarModifiersClassNames;
    portalContainer?: Element;
    readonlyOnTouch?: boolean;
    autoOpen?: boolean;
    onChange?: NullableDateChangeHandler;
    children: DateTimePickerChildren;
}
declare const DateTimePicker: FC<DateTimePickerProps>;
export default DateTimePicker;
