import { FC, ReactNode } from 'react';
import { DatePickerInputProps, NullableDateChangeHandler, ClockPrecision } from '../../index';
export interface TimePickerChildrenProps {
    inputProps: DatePickerInputProps;
    openTimePicker: () => void;
}
export declare type TimePickerChildren = (props: TimePickerChildrenProps) => ReactNode;
export interface TimePickerProps {
    locale: Locale;
    format?: string;
    date?: Date | null;
    precision?: ClockPrecision;
    vibrate?: boolean;
    placeholder?: string;
    className?: string;
    portalContainer?: Element;
    readonlyOnTouch?: boolean;
    autoOpen?: boolean;
    onChange?: NullableDateChangeHandler;
    children: TimePickerChildren;
}
declare const TimePicker: FC<TimePickerProps>;
export default TimePicker;
