import { Dispatch, MutableRefObject, SetStateAction } from 'react';
export declare function useDependentState<S>(factory: (prevState?: S) => S, inputs: ReadonlyArray<any>): [S, Dispatch<SetStateAction<S>>];
export declare function useControllableState<S>(initialValue: () => S, value?: S, onChange?: (value: S) => void): [S, (value: S) => void];
export declare function useOutsideClickHandler<A extends HTMLElement = HTMLElement, B extends HTMLElement = HTMLElement, C extends HTMLElement = HTMLElement, D extends HTMLElement = HTMLElement, E extends HTMLElement = HTMLElement>(callback: () => void): [
    MutableRefObject<A | null>,
    MutableRefObject<B | null>,
    MutableRefObject<C | null>,
    MutableRefObject<D | null>,
    MutableRefObject<E | null>
];
export declare function usePrevious<T>(value: T): T;
export declare function useDetectTouch(): boolean;
