import './style.scss';
import { UseDateInputValue } from './hooks/useDateInput';
import { MutableRefObject } from 'react';
export * from './components';
export * from './hooks';
export declare type DateChangeHandler = (date: Date) => void;
export declare type NullableDateChangeHandler = (date: Date | null) => void;
export declare type DatePredicate = (date: Date) => boolean;
export declare type CalendarType = 'day' | 'month' | 'year';
export declare type BaseModifiersKey = 'disabled' | 'selected' | 'today' | 'selectedStart' | 'selectedMiddle' | 'selectedEnd';
export declare type Modifiers = {
    [key in BaseModifiersKey | string]: DatePredicate;
};
export declare type ModifiersClassNames = {
    [key in BaseModifiersKey | string]: string;
};
export declare type CalendarModifiers = {
    [key in CalendarType]?: Modifiers;
};
export declare type CalendarModifiersClassNames = {
    [key in CalendarType]?: ModifiersClassNames;
};
export declare type DateRangeInputType = 'startDate' | 'endDate';
export interface DatePickerInputProps extends UseDateInputValue {
    ref: MutableRefObject<HTMLInputElement | null>;
}
